package com.engine.jucailinkq.attendance.workflow.service;

import java.util.Map;

public interface AskForLeaveService {
    Map<String, Object> getUesdHolidayItem(Map<String, Object> params);

    Map<String, Object> getAskForLeaveRecordList(Map<String, Object> params);

    /**
     * 获得日期区间内的日期类型
     * @param params
     * @return
     */
    Map<String, Object> getRestDayInterval(Map<String, Object> params);

    /**
     * 批量请假-生成请假信息明细表数据
     * @param params
     */
    Map<String, Object> generateLeaveInfoList(Map<String, Object> params);

}
